-- Notes for Eamonn the Slacker
-- Map sizes: 4000, 8000, 16000, 32000

local background

arcade_levelgen_params = {
	mapsize = 4000,
	
	smallestmapsize = 4000,
	largestmapsize = 32000,
}

--debug_draw = false

function arcade_load()
	background = love.graphics.newImage("assets/images/GUI/arcadebackground.png")

	button_spawn(button2_1,button2_2,0,0,"Back",2,2,"arcade",0,true,"backtoskirmishmenu",font50)

	button_spawn(button_1, button_2, love.graphics.getWidth() / 2 - button_1:getWidth() / 2, 100, "Start Arcade", 2, 2, "arcade", 0, true, "startarcade", font50)
	
	button_spawn(button2_1, button2_2, love.graphics.getWidth() / 2 - button_1:getWidth() / 2 - 20, 310, "+", 2, 2, "arcade", 0, true, "increasemapsize", font50)
	button_spawn(button2_1, button2_2, love.graphics.getWidth() / 2 + 20, 310, "-", 2, 2, "arcade", 0, true, "decreasemapsize", font50)
end

function arcade_update(dt)

end

function arcade_draw()
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(background, 0, 0)

	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.setFont(font50)
	love.graphics.print("Arcade Mode", love.graphics.getWidth() / 2 - font50:getWidth("Arcade Mode") / 2, 20)
	
	love.graphics.setFont(font50)
	love.graphics.print("Map Size:", love.graphics.getWidth() / 2 - font50:getWidth("Map Size:") / 2, 250)
	love.graphics.print(tostring(arcade_levelgen_params.mapsize .. ' x ' .. arcade_levelgen_params.mapsize), love.graphics.getWidth() / 2 - font50:getWidth(tostring(arcade_levelgen_params.mapsize .. ' x ' .. arcade_levelgen_params.mapsize)) / 2, 280)

	-- Debug, remove later
	if debug_draw then
		arcade_tile_draw()
	end
end
