
local debugm =  false

function debugMode_activate(key)
	if key == "f6" then
		debugm = not debugm
	elseif key == "f8" then
		local screenshot = love.graphics.newScreenshot();
		screenshot:encode(os.time() .. '.png');
	end
end

local math_ceil = math.ceil
local string_format = string.format

function debugMode_draw()
	if debugm == true then
		love.graphics.setColor(0,0,0,255)
		
		local stats = love.graphics.getStats()

		local str = string_format("Estimated VRAM usage: %.2f MB", stats.texturememory / 1024 / 1024)
		love.graphics.print(str, 640, 50)

		love.graphics.print("player x: " .. tostring(math_ceil(player.x)),640,10)
		love.graphics.print("player y: " .. tostring(math_ceil(player.y)),640,30)

		love.graphics.setColor(255,255,255,255)
	end
end