
droppedweapon = {}

function droppedweapon_spawn(x,y,weaponName)
	table.insert(droppedweapon,{picture = picture,x = x,y = y,weaponName = weaponName})
end

function droppedweapon_draw()
	for i,v in ipairs(droppedweapon) do
		if v.x > cameraX - v.picture:getWidth()/2 and
		v.x < cameraX + v.picture:getWidth()/2 + cameraWidth and
		v.y > cameraY - v.picture:getHeight()/2 and
		v.y < cameraY + v.picture:getHeight()/2 + cameraHeight then
			for y,w in ipairs(weapon) do
				if w.name == v.weaponName then
					love.graphics.draw(w.picture,v.x,v.y)
				end
			end
		end
	end
end

function droppedweapon_pickup()
	for i,v in ipairs(droppedweapon) do
		if love.keyboard.isDown("lalt") then
			if v.x > player.x -player_character.width and
			v.x < player.x +player_character.width and
			v.y > player.y -player_character.height and
			v.y < player.y +player_character.height then
				for f,w in ipairs(weaponSlot) do
					if v.id == selectedWeaponSlot then
						v.containment = v.weaponName
					end
				end
				table.remove(droppedweapon,i)
			end
		end
	end
end