inventoryItem = {}
inventoryOpen = false
hasInventory = true

function inventoryItem_spawn(pictureId,x,y,id)
	table.insert(inventoryItem,{pictureId = pictureId,x = x,y = y,id = id,over = false,pickedUp = false,invalidSpot = false,width = 0,height = 0})
end

function inventoryItem_draw()
	if inventoryOpen == true then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(backpack,768,0)
		for i,v in ipairs(inventoryItem) do
			if v.invalidSpot == false then
				love.graphics.setColor(255,255,255)
			else
				love.graphics.setColor(200,0,0)
			end
			for l,w in ipairs(image) do
				love.graphics.draw(w.picture,v.x,v.y)
			end
		end
	end
end

function inventory_open(key)
	if hasInventory == true then
		if key == "i" then
			inventoryOpen = not inventoryOpen
		end
	end
end

function ivenotoryItem_update(dt)
	if inventoryOpen == true then
		for i,v in ipairs(inventoryItem) do
			if mouseX >= v.x and
			mouseX <= v.x + v.width and
			mouseY >= v.y and
			mouseY <= v.y + v.height then
				v.over = true
				else
				v.over = false
			end
			if love.mouse.isDown("l") and
			v.over == true then
				v.pickedUp = not v.pickedUp 
			end
			if v.pickedUp == true then
				v.x = mouseX
				v.y = mouseY
			end
		end
	end
end

itemImageDatabase = {}

function itemImageDatabase_add()
	table.insert(itemImageDatabase,{})
end