blooddata = {}

function blood_multiplayer_spawn(x,y,sx,maxSX)
    table.insert(blooddata, {x = x,y = y,sx = sx,maxSX = maxSX,draw = false})
	blooddata.dataType = "spawnBlood"
	local toServer = table.serialize(blooddata,true,true)
	client:send(toServer)
	table.remove(blooddata)
end

mBlood = {}

function blood_multiplayer_draw()
    for i,v in ipairs(mBlood) do	
		if v.draw == true then
			love.graphics.setColor(229,0,0)
			love.graphics.circle("fill",v.x,v.y,v.sx)
		end
	end
end

function blood_multiplayer_update(dt)
    for i,v in ipairs(mBlood) do	 
        if v.sx < v.maxSX then
	        v.sx = v.sx + 100*dt
	    end
		if v.x > cameraX - v.sx and
		v.x < cameraX + cameraWidth and
		v.y > cameraY - v.sx and
		v.y < cameraY + cameraHeight then
			v.draw = true
		else
			v.draw = false
		end
	end
end

function blood_multiplayer_recieve(data)
	local datasTable = loadstring(data)()
	if datasTable.dataType == "clientSpawnBlood" then
		table.insert(mBlood,datasTable)
	end	
end