minimapSizeX = 20
minimapSizeY = 10
minimapSizeXY = 100
minimapTargetSize = 5

mapSizeX = 40
mapSizeY = 0

worldWidth = 4000
worldHeight = 1000
minimapBorder = 5
minimapSize = 100

local math_ceil = math.ceil
local tostring = tostring

respawnTimerGUI = math_ceil(respawnTimer)

function multiplayer_gui_update()
	respawnTimerGUI = math_ceil(respawnTimer)
end

function multiplayer_gui_draw()
	love.graphics.draw(viginette,0,0)
	if choose == false then
		love.graphics.setColor(128,128,128,64)
		love.graphics.rectangle("fill",5,5,330,80)
		love.graphics.setColor(200,0,0)
		love.graphics.rectangle("fill",20,20,mplayer.health*1.5,30)
		love.graphics.setColor(255,255,255,100)
		love.graphics.rectangle("fill",20,20,mplayer.health*1.5,2)
		love.graphics.setColor(110,110,110,255)
		love.graphics.rectangle("line",20,20,300,30)
		
		love.graphics.setColor(20,200,20,180)
		love.graphics.rectangle("fill",850,680,mplayer.stamina*2,15)
		love.graphics.setColor(1,1,1,255)
		love.graphics.rectangle("line",850,680,400,15)
		
		love.graphics.setColor(20,20,20)
		love.graphics.setFont(font)
		love.graphics.print("Ammunition: " .. tostring(mammo),20,60)

		love.graphics.setFont(font50)
		
		love.graphics.setColor(255,255,255)
		love.graphics.draw(minimap,1215,60,0,1,1,minimap:getWidth()/2,minimap:getHeight()/2)

		--minimap
		for i,v in ipairs(players) do
			if v.spawnProtection == false then
				if v.nickname == mainplayer then
					love.graphics.setColor(10,255,10,100)
					love.graphics.rectangle("fill", (1165 + 50) + v.x/minimapSizeX/3 -2.5,10 + v.y/minimapSizeY -2.5,minimapTargetSize,minimapTargetSize,0,1,1,minimapTargetSize/2,minimapTargetSize/2)
				else
					love.graphics.setColor(10,190,10,100)
					love.graphics.rectangle("fill", (1165 + 50) + v.x/minimapSizeX/3 -2.5,10 + v.y/minimapSizeY -2.5,minimapTargetSize,minimapTargetSize,0,1,1,minimapTargetSize/2,minimapTargetSize/2)
				end
			end
			if love.keyboard.isDown("tab") then
				love.graphics.setColor(220,0,0,150)
				love.graphics.rectangle("fill",50,50 + i*32,1180,30)
				love.graphics.setColor(229,191,0,150)
				love.graphics.rectangle("line",50,50 + i*32,1180,30)
				love.graphics.setColor(0,0,0,255)
				love.graphics.print("Name: " .. tostring(v.displayname),55,52	 + i*32)
				love.graphics.print("Kills: " .. tostring(v.kills),400,52	 + i*32)
				love.graphics.print("Deaths: " .. tostring(v.deaths),600,52	 + i*32)
			end
		end
	end
end
