

require "code.multiplayer.multiplayer_player"
require "code.multiplayer.multiplayer_setup"
require "code.multiplayer.multiplayer_bullets"
require "code.multiplayer.multiplayer_weapon"
require "code.multiplayer.multiplayer_gui"
require "code.multiplayer.multiplayer_blood"
require "code.multiplayer.multiplayer_selectionscreen"
require "code.multiplayer.multiplayer_client"

mload = false

ServerData = {}

playername = ""

function multiplayer_load()
	client_load()
	--extraname = love.math.random(0,10000)
	multiplayer_weapon_list()
	mload = true
	player_multiplayer_load()
   
	playername = inputName
	mainplayer = playername
	mplayer.displayname = playername
	mplayer.nickname = playername
end

function multiplayer_update(dt)
	player_multiplayer_update(dt)
	camera_update(dt)
	objects_stay_update()
	mbullet_move(dt)
	mbullet_remove()
	multiplayer_gui_update()
	multiplayer_weapon_update(dt)
	blood_multiplayer_update(dt)
	updateText(dt)
end

function multiplayer_draw()
    camera_push()
	camera_translate()
	love.graphics.setColor(255,255,255,255)
	objects_stay_draw_background_static()
	objects_stay_draw_background()
	blood_multiplayer_draw()
	player_multiplayer_draw()
	multiplayer_weapon_draw()
	mbullet_draw()
	drawText()
	objects_stay_draw()
	camera_pop()
	multiplayer_gui_draw()
	selectionScreen_draw()
end

function multiplayer_keypressed(key)
	player_keypressed(key)
end

function multiplayer_keyreleased(key)
	multiplayer_weapon_shoot(key)
end

