
--address = "169.254.241.254"
address = "192.168.0.100"
port = 18025

mainplayer = playername
mammo = 500
respawnTimer = 5

mspeed = 125
startMammo = 300

local math_ceil = math.ceil
local math_random = love.math.random

function onReceive(data)
	local datasTable = loadstring(data)()
	
	if datasTable.dataType == "overwritePlayer" then
		mplayer.id = datasTable.id
		
		mplayer.dataType = nil
	elseif datasTable.dataType == "updatePlayers" then
		players = datasTable
		players.dataType = nil
	elseif datasTable.dataType == "ServerData" then
		ServerData = datasTable
		ServerData.dataType = nil
		location = ServerData.map
		print("Received server data!")
	end
	
	bullet_recieve(data)
	blood_multiplayer_recieve(data)
end


--Enable
function player_multiplayer_load()

	soldier_animation = newAnimation(soldier_spritesheet, soldier:getWidth(),soldier:getHeight(), 0.1, 8)
	soldier_animation:setMode("loop")
	soldier_female_animation = newAnimation(soldier_female_spritesheet, soldier_female:getWidth(),soldier_female:getHeight(), 0.1, 8)
	soldier_female_animation:setMode("loop")
	bandit_animation = newAnimation(bandit_spritesheet, bandit:getWidth(),bandit:getHeight(), 0.1, 8)
	bandit_animation:setMode("loop")
	bandit_female_animation = newAnimation(bandit_female_spritesheet, bandit_female:getWidth(),bandit_female:getHeight(), 0.1, 8)
	bandit_female_animation:setMode("loop")
	
	soldier_animation_running = newAnimation(soldier_spritesheet, soldier:getWidth(),soldier:getHeight(), 0.05, 8)
	soldier_animation_running:setMode("loop")
	soldier_female_animation_running = newAnimation(soldier_female_spritesheet, soldier_female:getWidth(),soldier_female:getHeight(), 0.05, 8)
	soldier_female_animation_running:setMode("loop")
	bandit_animation_running = newAnimation(bandit_spritesheet, bandit:getWidth(),bandit:getHeight(), 0.05, 8)
	bandit_animation_running:setMode("loop")
	bandit_female_animation_running = newAnimation(bandit_female_spritesheet, bandit_female:getWidth(),bandit_female:getHeight(), 0.05, 8)
	bandit_female_animation_running:setMode("loop")

	print("Initializing Client...")
	
	client = lube.client()
	client:setHandshake("1989Multiplayer")
	client:setCallback(onReceive)
	client:connect(address, port)
	
	print("Initialized Client!")
	
	
	players = {}
    mbullets = {}
	
	mplayer = {
		x = 200,
		y = 300,
		weapon = "KHC-14",
		recoil = 0,
		id = -1,
		nickname = "",
		displayname = "",
		direction = 1,
		isMoving = false,
		faction = "soldier_female",
		health = 200,
		stamina = 200,
		kills = 0,
		deaths = 0,
		dead = false,
		spawnProtection = true,
		running = false,
		dis = false,
		dataType = "first"
	}
	
	love.audio.setPosition( mplayer.x, mplayer.y, 0)
	
	local toSendPlayer = table.serialize(mplayer,true,true)
	mplayer.dataType = nil
	
	client:send(toSendPlayer)
    function love.quit()
	    client:disconnect()
    end
end

function update_player_multiplayer()
	mplayer.dataType = "updatePlayer"
	local toSendPlayer = table.serialize(mplayer,true,true)
	client:send(toSendPlayer)
	mplayer.dataType = nil
end

function multiplayer_player_spawn()
	choose = false
	mplayer.spawnProtection = false
	if ServerData.gamemode == "Free for all" then
		mplayer.x = math_random(0,1910)
		mplayer.y = math_random(0,900)
	elseif ServerData.gamemode == "Team Deathmatch" then
		if mplayer.faction == "soldier" or mplayer.faction == "soldier_female" then
			mplayer.x = -1900
			mplayer.y = 400 
		end
		if mplayer.faction == "bandit" or mplayer.faction == "bandit_female" then
			mplayer.x = 1900
			mplayer.y = 400 
		end
	elseif ServerData.gamemode == "Capture The Nuke" then
		if mplayer.faction == "soldier" or mplayer.faction == "soldier_female" then
			mplayer.x = -1900
			mplayer.y = 400 
		end
		if mplayer.faction == "bandit" or mplayer.faction == "bandit_female" then
			mplayer.x = 1900
			mplayer.y = 400 
		end		
	end
	update_player_multiplayer()
end

local cancellationSent = false

function mutliplayer_disconnect()
	if cancellationSent == true then
		client:disconnect()
	else
		mplayer.dis = true
		update_player_multiplayer()
		cancellationSent = true		
	end
end

local SentIsMovingData = true

--Update
function player_multiplayer_update(dt)
	client:update(dt)
	if mplayer.dead == false and
	mplayer.spawnProtection == false then
		if love.keyboard.isDown("up") or love.keyboard.isDown("down") or love.keyboard.isDown("left") or love.keyboard.isDown("right") then
			mplayer.isMoving = true
			love.audio.setPosition( mplayer.x, mplayer.y, 0)
			update_player_multiplayer()
			SentIsMovingData = false
		else
			mplayer.isMoving = false
			if SentIsMovingData == false then
				mplayer.x = math_ceil(mplayer.x)
				mplayer.y = math_ceil(mplayer.y)
				
				update_player_multiplayer()
			
				SentIsMovingData = true
			end
		end
	
		if love.keyboard.isDown("up") then
			mplayer.y = mplayer.y - mspeed * dt
		  update_player_multiplayer()
		elseif love.keyboard.isDown("down") then
			mplayer.y = mplayer.y + mspeed * dt
		   update_player_multiplayer()
		end
		if love.keyboard.isDown("left") then
			mplayer.x = mplayer.x - mspeed * dt
			mplayer.direction = -1
		    update_player_multiplayer()
		elseif love.keyboard.isDown("right") then
			mplayer.x = mplayer.x + mspeed * dt
			mplayer.direction = 1
		    update_player_multiplayer()
		end
		
		if love.keyboard.isDown("lshift") then
			mplayer.running = true
			if mplayer.stamina > 0 then
				mspeed = 200
				mplayer.stamina = mplayer.stamina - 50*dt
			else
				mspeed = 125
			end
		else
			mplayer.running = false
			mspeed = 125
			if mplayer.stamina < 200 then
				mplayer.stamina = mplayer.stamina + 80*dt
			end
		end
		
	end

	mbullet_damage(dt)
	
	if mplayer.x < -3000 then
		mplayer.x = -3000
	elseif mplayer.x > 3000 then
		mplayer.x = 3000
	end
	
	if mplayer.y < 0 then
		mplayer.y = 0
	elseif mplayer.y > 1000 then
		mplayer.y = 1000
	end
	
	if mplayer.health < 0 then
	    mplayer.dead = true
	    mplayer.health = 200
		mplayer.deaths = mplayer.deaths + 1
		blood_multiplayer_spawn(mplayer.x,mplayer.y,10,30)
		update_player_multiplayer()
	end

	
	if mplayer.dead == true then
	    respawnTimer = respawnTimer - 1*dt

		if respawnTimer < 0 then
		   	mplayer.dead = false
			mplayer.x = math_random(50,1900)
		    mplayer.y = math_random(50,900)
			mammo = startMammo
			respawnTimer = 5
				
		    update_player_multiplayer()
		end
	end
	for i,v in ipairs(players) do
		if v.isMoving == true then
			if v.faction == "soldier" then
				soldier_animation:update(dt)
			elseif v.faction == "soldier_female" then
				soldier_female_animation:update(dt)
			elseif v.faction == "bandit" then
				bandit_animation:update(dt)
			elseif v.faction == "bandit_female" then
				bandit_female_animation:update(dt)
			end				
		end
	 	if v.x > cameraX - 32/2 and
	    v.x < cameraX  +love.graphics.getWidth() + 32/2 and
		v.y > cameraY - 64/2 and
        v.y < cameraY +love.graphics.getHeight() + 64/2 then
			v.draw = true
		else
			v.draw = false
		end
	end
end

--Draw
function player_multiplayer_draw()
	--multiplayer_border_draw()
	for i,v in ipairs(players) do
	 	if v.draw == true then
			love.graphics.setColor(0, 0, 0, 255)
			love.graphics.setFont(font50)
			love.graphics.printf(v.displayname, v.x, v.y -75,200,"left",0,1,1,font50:getWidth(v.displayname)/2,font50:getHeight(v.displayname)/2)
			if v.dead == true then
				if v.nickname ~= mainplayer then
					love.graphics.printf("Dead", v.x, v.y -40,200,"left",0,1,1,font50:getWidth("Dead")/2,font50:getHeight("Dead")/2)
				end
			end
				
			love.graphics.setColor(255, 255, 255, 255)
			if v.isMoving == false then
				if v.faction == "soldier" then
					love.graphics.draw(soldier,v.x, v.y, 0,v.direction,1,soldier:getWidth()/2,soldier:getHeight()/2)
				elseif v.faction == "soldier_female" then
					love.graphics.draw(soldier_female,v.x, v.y, 0,v.direction,1,soldier_female:getWidth()/2,soldier_female:getHeight()/2)
				elseif v.faction == "bandit" then
					love.graphics.draw(bandit,v.x, v.y, 0,v.direction,1,bandit:getWidth()/2,bandit:getHeight()/2)
				elseif v.faction == "bandit_female" then
					love.graphics.draw(bandit_female,v.x, v.y, 0,v.direction,1,bandit_female:getWidth()/2,bandit_female:getHeight()/2)
				end
			else
				if v.running == true then
					if v.faction == "soldier" then
						soldier_animation_running:draw(v.x,v.y, 0, v.direction,1,soldier:getWidth()/2,soldier:getHeight()/2)
					elseif v.faction == "soldier_female" then
						soldier_female_animation_running:draw(v.x,v.y, 0, v.direction,1,soldier_female:getWidth()/2,soldier_female:getHeight()/2)
					elseif v.faction == "bandit" then
						bandit_animation_running:draw(v.x,v.y, 0, v.direction,1,bandit:getWidth()/2,bandit:getHeight()/2)
					elseif v.faction == "bandit_female" then
						bandit_female_animation_running:draw(v.x,v.y, 0, v.direction,1,bandit_female:getWidth()/2,bandit_female:getHeight()/2)
					end	
				else
					if v.faction == "soldier" then
						soldier_animation:draw(v.x,v.y, 0, v.direction,1,soldier:getWidth()/2,soldier:getHeight()/2)
					elseif v.faction == "soldier_female" then
						soldier_female_animation:draw(v.x,v.y, 0, v.direction,1,soldier_female:getWidth()/2,soldier_female:getHeight()/2)
					elseif v.faction == "bandit" then
						bandit_animation:draw(v.x,v.y, 0, v.direction,1,bandit:getWidth()/2,bandit:getHeight()/2)
					elseif v.faction == "bandit_female" then
						bandit_female_animation:draw(v.x,v.y, 0, v.direction,1,bandit_female:getWidth()/2,bandit_female:getHeight()/2)
					end		
				end
			end
		end
	end
	love.graphics.setColor(0, 0, 0, 255)
	if mplayer.dead == true then
		love.graphics.printf(respawnTimerGUI, mplayer.x, mplayer.y -40,200,"left",0,1,1,font50:getWidth(respawnTimerGUI)/2,font50:getHeight(respawnTimerGUI)/2)
	end
	love.graphics.setColor(255,255,255)
end

--KeyPressed
function player_keypressed(key)
	if key == 'escape' then
	    mutliplayer_disconnect()
		
		gamestate = "multiplayer_setup"
		mplayer.deaths = 0
	end
end
