
weapons_multiplayer = {}

function multiplayer_weapon_add(name,picture,wtype,drawX,drawY,shootX,shootY,damage,spread,speed,cooldown,sound,weight,laser,laserX,laserY,laserR,laserG,laserB)
	local k = {
		name = name,
		picture = picture,
		wtype = wtype,
		drawX = drawX,
		drawY = drawY,
		shootX = shootX,
		shootY = shootY,
		damage = damage,
		spread = spread,
		speed = speed,
		cooldown = cooldown,
		sound = sound,
		weight = weight,
		laser = laser,
		laserX = laserX,
		laserY = laserY,
		laserR = laserR,
		laserG = laserG,
		laserB = laserB
	}
	table.insert(weapons_multiplayer,k)
end

function multiplayer_weapon_list()
	multiplayer_weapon_add("KHC-14",khc_14,"auto",-14,4,30,5,40,3,800,3,"gsound2",3,false,0,0,0,0,0)
	multiplayer_weapon_add("AVN-66",avn_66,"auto",-14,4,30,5,50,3,800,3,"gsound2",5,false,0,0,0,0,0)
	multiplayer_weapon_add("AVN-92",avn_92,"auto",-14,4,30,5,65,3,800,3,"gsound2",12,false,0,0,0,0,0)
	multiplayer_weapon_add("IO-43",io_43,"shotgun",-14,4,30,5,15,7,800,3,"gsound2",4,false,0,0,0,0,0)
end

function multiplayer_weapon_draw()
	love.graphics.setColor(255,255,255)
	for i,v in ipairs(players) do
		if v.draw == true then
			if v.spawnProtection == false then
				for t,u in ipairs(weapons_multiplayer) do
					if v.weapon == u.name then
						if v.direction == 1 then
							love.graphics.draw(u.picture,v.x + u.drawX + v.recoil,v.y + u.drawY,0,1,1)
							--[[if v.laser == true then
							
							end]]--
						elseif v.direction == -1 then
							love.graphics.draw(u.picture,v.x - u.drawX - v.recoil,v.y + u.drawY,0,-1,1)
							--[[if v.laser == true then
							
							end]]--
						end
					end
				end
			end
		end
	end
end

local math_rad = math.rad
local math_random = love.math.random

function multiplayer_weapon_shoot(key)
	for t,u in ipairs(weapons_multiplayer) do
		if mplayer.weapon == u.name and
		mplayer.dead == false then
			if mammo > 0 then
				if key == "space" then
					if mplayer.direction == 1 then
						if u.wtype == "auto" then
							mbullet_spawn(math_rad(0 - math_random(-u.spread,u.spread)), mplayer.x + u.shootX + u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage, mainplayer,u.sound)
						elseif u.wtype == "shotgun" then
							mbullet_spawn(math_rad(0 - math_random(-u.spread,u.spread)), mplayer.x + u.shootX + u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage, mainplayer,u.sound)
							mbullet_spawn(math_rad(0 - math_random(-u.spread,u.spread)), mplayer.x + u.shootX + u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage, mainplayer,u.sound)
							mbullet_spawn(math_rad(0 - math_random(-u.spread,u.spread)), mplayer.x + u.shootX + u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage, mainplayer,u.sound)
						end
					elseif mplayer.direction == -1 then
						if u.wtype == "auto" then
							mbullet_spawn(math_rad(180 - math_random(-u.spread,u.spread)), mplayer.x - u.shootX - u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage -math_random(-5,5), mainplayer,u.sound)
						elseif u.wtype == "shotgun" then
							mbullet_spawn(math_rad(180 - math_random(-u.spread,u.spread)), mplayer.x - u.shootX - u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage -math_random(-5,5), mainplayer,u.sound)
							mbullet_spawn(math_rad(180 - math_random(-u.spread,u.spread)), mplayer.x - u.shootX - u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage -math_random(-5,5), mainplayer,u.sound)
							mbullet_spawn(math_rad(180 - math_random(-u.spread,u.spread)), mplayer.x - u.shootX - u.drawX, mplayer.y + u.shootY + u.drawY, u.speed, u.damage -math_random(-5,5), mainplayer,u.sound)
						end
					end
				mplayer.recoil = -2
				mammo = mammo - 1
				update_player_multiplayer()
				end
			end
		end
	end
end

function multiplayer_weapon_update(dt)
	if mplayer.recoil < 0 then
		update_player_multiplayer()
		mplayer.recoil = mplayer.recoil +25*dt
	end
end
