playMusic = false
local music_entry = {}
local music_entry_current_file = 1
local music_entry_max_file_id = 0

local function music_entry_add(file,id)
	table.insert(music_entry,{file = file,id = id,hasBeenPlayed = false,playing = false})
	music_entry_max_file_id = music_entry_max_file_id + 1
end

function music_options()
	if gameOptionsTable.music == false then
		playMusic = false
	elseif gameOptionsTable.music == true then
		playMusic = true
	end
end

function music_entry_play()
	music_options()
	if playMusic == true then
		for i,v in ipairs(music_entry) do
			if music_entry_current_file == v.id then
				if v.hasBeenPlayed == false then
					v.hasBeenPlayed = true
					v.file:play()
				else
					if v.playing == false then
						if music_entry_current_file <= music_entry_max_file_id then
							music_entry_current_file = music_entry_current_file + 1
							v.hasBeenPlayed = false
						end
					end
				end
			end
			if v.file:isPlaying( ) then
				v.playing = true
				else
				v.playing = false
			end
		end
		if music_entry_current_file > music_entry_max_file_id then
			music_entry_current_file = 1
		end
	end
end

function music_list_load()
	slavankia:setVolume(0.75)
	soviet_anthem:setVolume(0.75)
	two:setVolume(0.8)
	one:setVolume(0.8)
	music_entry_add(soviet_anthem,1)
	music_entry_add(aufersta,2)
	music_entry_add(internationale,3)
	music_entry_add(slavankia,4)
	music_entry_add(two,5)
	music_entry_add(one,6)
	music_entry_add(turkmenistan_anthem,7)
	music_entry_add(kazakhstan_anthem,8)
	music_entry_add(tajikistan_anthem,9)
	music_entry_add(azerbaijan_anthem,10)
	music_entry_add(armenia_anthem,11)
	music_entry_add(kyrgyzstan_anthem,12)
	music_entry_add(karelia_anthem,13)
	music_entry_add(lithuania_anthem,14)
	music_entry_add(latvia_anthem,15)
end
