
local advancedSound = {}

function advancedSound_play(soundfile,useDynamicSoundLevel,x,y,id)
	table.insert(advancedSound,{soundfile = soundfile,useDynamicSoundLevel = useDynamicSoundLevel,x = x,y = y,id = id,sound = sound,checked = false})
	for i,v in ipairs(advancedSound) do
		if v.checked == false then
			if v.id == "" or v.id == nil then
				v.sound = v.soundfile:clone( )
				v.sound:setAttenuationDistances( 0.001, 0.003 )
			else
				for q,w in ipairs(mSound) do
					if v.id == w.id then
						v.sound = w.soundfile:clone( )
						v.sound:setAttenuationDistances( 0.001, 0.003 )
					end
				end
			end
			if v.useDynamicSoundLevel == true then
				v.sound:setPosition( v.x, v.y, 0 )
			end
			v.sound:play()
			v.checked = true
		end
	end
end

function advancedSound_update()
	for i,v in ipairs(advancedSound) do
		if not v.sound:isPlaying() and
		v.checked == true then
			table.remove(advancedSound,i)
		end
	end
end

mSound = {}

function mSound_add(id,soundfile)
	local j = {
		id = id,
		soundfile = soundfile
	}
	table.insert(mSound,j)
end

function mSound_database()
	mSound_add("gsound1",gsound1)
	mSound_add("gsound2",gsound2)
end