
weapon = {}

function weapon_add(name,picture,bulletPicture,wtype,drawX,drawY,shootX,shootY,damage,spread,speed,recoil,cooldown,sound,soundLevel,minlevel,value,laser,laserX,laserY,laserR,laserG,laserB)
	local u = {
		name = name,
		picture = picture,
		bulletPicture = bulletPicture,
		wtype = wtype,
		drawX = drawX,
		drawY = drawY,
		shootX = shootX,
		shootY = shootY,
		damage = damage,
		spread = spread,
		speed = speed,
		recoil = recoil,
		cooldown = cooldown,
		sound = sound,
		soundLevel = soundLevel,
		value = value,
		weight = "",
		laser = laser,
		laserX = laserX,
		laserY = laserY,
		laserR = laserR,
		laserG = laserG,
		laserB = laserB,
		minlevel = minlevel
	}
	table.insert(weapon,u)
end

function weapons_load()
	weapon_add("KHC-14",khc_14,bullet_1,"auto",-14,4,30,5,5,3,800,3,36,gsound2,2,1,400,false,0,0,0,0,0)
	weapon_add("KHC-75",khc_75,bullet_1,"auto",-14,4,30,5,7,3,820,3,34,gsound2,2,1,800,false,0,0,0,0,0)
	weapon_add("KHC-79",khc_79,bullet_1,"auto",-14,4,30,5,10,3,840,3,32,gsound2,2,1,1200,false,0,0,0,0,0)
	weapon_add("KHC-89",khc_89,bullet_1,"auto",-14,4,30,5,12,5,900,4,18,gsound2,2,1,1900,false,0,0,0,0,0)
	weapon_add("AVN-66",avn_66,bullet_1,"auto",-14,4,30,5,14,4,1000,5,30,gsound4,2,1,3500,false,0,0,0,0,0)
	weapon_add("AVN-68",avn_68,bullet_1,"auto",-14,4,30,5,14,4,1000,5,30,gsound4,2,1,3500,false,0,0,0,0,0)
	weapon_add("AVN-70",avn_70,bullet_1,"auto",-14,4,30,5,16,4,1000,5,28,gsound4,2,1,3700,false,0,0,0,0,0)
	weapon_add("AVN-72",avn_72,bullet_1,"auto",-14,4,30,5,16,4,1000,5,28,gsound4,2,1,3700,false,0,0,0,0,0)
	weapon_add("AVN-86",avn_86,bullet_1,"auto",-14,4,30,5,18,4,1000,5,26,gsound4,2,1,3900,false,0,0,0,0,0)
	weapon_add("AVN-88",avn_88,bullet_1,"auto",-14,4,30,5,18,4,1000,5,26,gsound4,2,1,3900,false,0,0,0,0,0)
	weapon_add("AVN-90",avn_90,bullet_1,"auto",-14,4,30,5,21,4,1000,5,24,gsound4,2,1,4100,true,-3,7,200,0,0)
	weapon_add("AVN-92",avn_92,bullet_1,"auto",-14,4,30,5,21,4,1000,5,24,gsound4,2,1,4100,true,-3,7,200,0,0)
	weapon_add("GLA-11",GLA_11,bullet_1,"auto",-14,4,30,5,30,2,1000,2,30,gsound2,2,1,9000,false,0,0,0,0,0)
	weapon_add("GLA-13",GLA_13,bullet_1,"auto",-14,4,30,5,32,2,1000,2,30,gsound2,2,1,12000,true,-1,7,200,0,0)
	weapon_add("PLA-6",PLA_6,bullet_1,"auto",-14,4,30,5,35,2,1000,2,42,gsound2,2,1,13000,false,0,0,0,0,0)
	weapon_add("PLA-9",PLA_9,bullet_1,"auto",-14,4,30,5,35,2,1000,2,42,gsound2,2,1,16000,true,-1,7,200,0,0)
	weapon_add("K10-395",K10_395,bullet_1,"auto",-14,4,30,5,9,8,1000,2,12,gsound4,2,1,20000,false,0,0,0,0,0)
	weapon_add("IO-37",io_37,bullet_2,"shotgun",-14,4,30,5,20,5,1000,5,72,gsound2,2,1,4100,false,-3,7,0,0,0)
	weapon_add("IO-43",io_43,bullet_2,"shotgun",-14,4,30,5,25,6,1000,5,72,gsound2,2,1,5100,false,-3,7,0,0,0)
	weapon_add("IO-2-66",io_2_66,bullet_2,"shotgun",-14,4,30,5,30,5,1000,5,68,gsound2,2,1,7100,false,-3,7,0,0,0)
	weapon_add("AN-7A",an_7a,rocket_1,"rocketlauncher",-24,2,30,5,100,2,1500,2,200,gsound2,2,1,20000,false,-1,7,200,0,0)
end

local shoot = false
local recoil = 1
local wcolldown = 5

function weapon_draw()
	if player.allowedToDraw == true then
		love.graphics.setColor(255,255,255,255)
		for i,v in ipairs(weapon) do
			if v.name == player.weapon then
				if player.direction == 1 then
					love.graphics.draw(v.picture,player.x + v.drawX -recoil,player.y + v.drawY,0,1,1)
				elseif player.direction == -1 then
					love.graphics.draw(v.picture,player.x - v.drawX +recoil,player.y + v.drawY,0,-1,1)
				end
				if v.laser == true then
					love.graphics.setColor(v.laserR,v.laserG,v.laserB)
					if player.direction == -1 then
						love.graphics.draw(laser,player.x + v.drawX +v.laserX +recoil,player.y + v.drawY + v.laserY,0,player.direction,1)
					else
						love.graphics.draw(laser,player.x - v.drawX -v.laserX -recoil,player.y + v.drawY + v.laserY,0,player.direction,1)
					end
					love.graphics.setColor(255,255,255,255)
				end
			end
		end
	end
end

function weapon_update(dt)
	if recoil > 0 then
		recoil = recoil - 40*dt
	end
	if wcolldown > 1 then
		wcolldown = wcolldown - 10*dt
	end
end

local math_random = love.math.random
local math_rad = math.rad

function weapon_shoot(dt)
	--if love.keyboard.isDown(keys.shoot) or joystick:isDown(joystickButtons.shoot) then
	if love.keyboard.isDown(keys.shoot) then
		for i,v in ipairs(weapon) do
			if v.name == player.weapon then
				if wcolldown < 1 then
					if player.direction == 1 then
						if v.wtype == "auto" then 
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(0 - math_random(-v.spread,v.spread)), player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "pistol" then
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(0 - math_random(-v.spread,v.spread)), player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "shotgun" then
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(0 - math_random(-v.spread,v.spread)), player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								bullet_spawn(v.bulletPicture, math_rad(0 - math_random(-v.spread,v.spread)), player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								bullet_spawn(v.bulletPicture, math_rad(0 - math_random(-v.spread,v.spread)), player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "rocketlauncher" then
							if player.rockets > 0 then
								missiles_spawn(v.bulletPicture, 0, player.x + v.shootX + v.drawX, player.y + v.shootY + v.drawY,0, false, v.speed, 100, "player")
								particles_spawn(smoke,player.x +v.drawX -math_random(-1,8),player.y + v.drawY -math_random(-8,1),-300,-15,false,75)
								particles_spawn(smoke,player.x +v.drawX -math_random(-1,8),player.y + v.drawY -math_random(-8,1),-300,-15,false,75)
								particles_spawn(smoke,player.x +v.drawX -math_random(-1,8),player.y + v.drawY -math_random(-8,1),-300,-15,false,75)
								particles_spawn(smoke,player.x +v.drawX -math_random(-1,8),player.y + v.drawY -math_random(-8,1),-300,-15,false,75)
								player.rockets = player.rockets - 1
								weapon_fired(dt)
							end
						end
					elseif player.direction == -1 then
						if v.wtype == "auto" then
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(180 - math_random(-v.spread,v.spread)), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "pistol" then
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(180 - math_random(-v.spread,v.spread)), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "shotgun" then
							if player.ammo > 0 then
								bullet_spawn(v.bulletPicture, math_rad(180 - math_random(-v.spread,v.spread)), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								bullet_spawn(v.bulletPicture, math_rad(180 - math_random(-v.spread,v.spread)), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								bullet_spawn(v.bulletPicture, math_rad(180 - math_random(-v.spread,v.spread)), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY, v.speed, v.damage, "player", v.sound)
								player.ammo = player.ammo - 1
								weapon_fired(dt)
							end
						elseif v.wtype == "rocketlauncher" then
							if player.rockets > 0 then
								missiles_spawn(v.bulletPicture, math_rad(180), player.x - v.shootX - v.drawX, player.y + v.shootY + v.drawY,0, false, v.speed, 100, "player")
								particles_spawn(smoke,player.x -v.drawX -math_random(-8,1),player.y + v.drawY -math_random(-8,1),300,-15,false,75)
								particles_spawn(smoke,player.x -v.drawX -math_random(-8,1),player.y + v.drawY -math_random(-8,1),300,-15,false,75)
								particles_spawn(smoke,player.x -v.drawX -math_random(-8,1),player.y + v.drawY -math_random(-8,1),300,-15,false,75)
								particles_spawn(smoke,player.x -v.drawX -math_random(-8,1),player.y + v.drawY -math_random(-8,1),300,-15,false,75)
								player.rockets = player.rockets - 1
								weapon_fired(dt)
							end
						end
					end

				end
			end
		end
	end
end

function weapon_fired(dt)
	for i,v in ipairs(weapon) do
		if v.name == player.weapon then
			stat_shotsfired = stat_shotsfired + 1
			wcolldown = wcolldown + v.cooldown*3.5*dt
			noise_spawn(player.x - cameraWidth,player.y - cameraHeight,cameraWidth*2,cameraHeight*2,v.soundLevel)
			--if v.sound ~= "" then
			--end	
			recoil = v.recoil
		end
	end
end

function weapon_shoot_joystick(button)
	--if player.allowedToDraw == true then 
	  --if button == 1 then
		 --weapon_bullet_spawn()
		--end
	--end
end

