local tile_width = 100
local tile_height = 100

local entities_per_tile = 1

map_tiles = {}

function arcade_generator(size)
	local total_tiles = size / tile_width

	-- Temp
	print("Total tiles that can fit in map: " .. total_tiles)

	for x=0, size, tile_width do
		for y=0, size, tile_height do
			table.insert(map_tiles, arcade_tile_new(x, y, tile_width, tile_height, love.math.random(1, total_tiles), {}))

			print("Spawned")
		end
	end

	debug_draw = true
end
