arcade_tile = {}

function arcade_tile_new(x, y, width, height, id, entities)
	local tile = { x = x, y = y, width = width or 100, height = height or 100, id = id or #arcade_tile + 1, entities = entities or {} }

	table.insert(arcade_tile, tile)

	return tile
end

function arcade_tile_update(dt)

end

function arcade_tile_draw()
	for i,v in ipairs(arcade_tile) do
		-- Outline
		love.graphics.setColor(0, 255, 0, 255)
		love.graphics.rectangle("line", v.x, v.y, v.width, v.height)

		-- Shape
		love.graphics.setColor(0, 0, 255, 0)
		love.graphics.rectangle("fill", v.x, v.y, v.width, v.height)
	end
end