cameraX = 0
cameraY = 0
cameraWidth = love.graphics.getWidth()
cameraHeight = love.graphics.getHeight()

zoom = 1

local halfsizeX = cameraWidth/2
local halfsizeY = cameraHeight/2

camera_followPlayer = true

function camera_redo()
	cameraWidth = love.graphics.getWidth()
	cameraHeight = love.graphics.getHeight()
	halfsizeX = cameraWidth/2
	halfsizeY = cameraHeight/2
end

function camera_load()
	if camera_followPlayer == true then
		cameraX = player.x - halfsizeX
		cameraY = player.y - halfsizeY
	end	
end

function camera_update(dt)
	if gamestate == "multiplayer" then
		for i,v in ipairs(players) do
			if v.displayname == mainplayer then
				cameraX = v.x - halfsizeX
				cameraY = v.y - halfsizeY
			end
		end
	else
		if camera_followPlayer == true then
			cameraX = player.x - halfsizeX
			cameraY = player.y - halfsizeY
		end
	end
end

function camera_translate()
	if gamestate == "multiplayer" then
		for i,v in ipairs(players) do
			if v.displayname == mainplayer then
				love.graphics.translate(-v.x + cameraWidth/2 / zoom,-v.y + cameraHeight/2 / zoom)
			end
		end
	else
		if camera_followPlayer == true then
			love.graphics.translate(-player.x + cameraWidth/2 / zoom,-player.y + cameraHeight/2 / zoom)
		else
			love.graphics.translate(-cameraX / zoom,-cameraY / zoom)
		end
	end
end

function camera_pop()
	love.graphics.pop()
end

function camera_push()
	love.graphics.push()
end