
local corpse = {}
local corpses = 0

function corpse_spawn(picture,x,y,direction)
	table.insert(corpse,{picture = picture,x = x,y = y,direction = direction,drawCorpse = true})
	corpses = corpses + 1
end

function corpse_draw_update()
	for i,v in ipairs(corpse) do
		if v.x > cameraX - v.picture:getWidth()/2 and
		v.x < cameraX + v.picture:getWidth()/2 + cameraWidth and
		v.y > cameraY - v.picture:getHeight()/2 and
		v.y < cameraY + v.picture:getHeight()/2 + cameraHeight then
				v.drawCorpse = true
			else
				v.drawCorpse = false
		end
	end
end

function corpse_draw()
	if corpses > 0 then
		for i,v in ipairs(corpse) do
			if v.drawCorpse == true then
				love.graphics.draw(v.picture,v.x,v.y,0,v.direction,1,v.picture:getWidth()/2,v.picture:getHeight()/2)
			end
		end
	end
end

function corpse_update()
	if corpses > 0 then
		for i,v in ipairs(corpse) do
			if v.x < cameraX - cameraWidth and
			v.x > cameraX + cameraWidth*2 and
			v.y < cameraY - cameraHeight and
			v.y < cameraY + cameraHeight*2 then
				table.remove(corpse,i)
				corpses = corpses - 1
			end
		end
	end	
end

function corpse_reset()
	corpse = {}
	corpses = 0
end