
saveFiles = true

function save_data()
	if saveFiles == true then
		--love.filesystem.write("player.sav", table.serialize(player,true,true))
		--love.filesystem.write("player_character.sav", table.serialize(player_character,true,true))
		love.filesystem.write("options1.sav", table.serialize(optionsTable,true,true))
		love.filesystem.write("options2.sav", table.serialize(gameOptionsTable,true,true))
	end
end

function load_data()
    if love.filesystem.isFile("player.sav") then
        player = loadstring(love.filesystem.read("player.sav"))()
    else
        --love.filesystem.write("player.sav", table.serialize(player,true,true))
    end
    if love.filesystem.isFile("player_character.sav") then
        player_character = loadstring(love.filesystem.read("player_character.sav"))()
    else
        --love.filesystem.write("player_character.sav", table.serialize(player_character,true,true))
    end
    if love.filesystem.isFile("options1.sav") then
        optionsTable = loadstring(love.filesystem.read("options1.sav"))()
	end
    if love.filesystem.isFile("options2.sav") then
        gameOptionsTable = loadstring(love.filesystem.read("options2.sav"))()
	end
	if love.filesystem.isFile("map.arch") then
        objects_stay = loadstring(love.filesystem.read("map.arch"))()
		print("loaded map!")
	end
end

function clear_data()
    if love.filesystem.isFile("player.sav") then
		love.filesystem.remove("player.sav")
    end
    if love.filesystem.isFile("player_character.sav") then
		love.filesystem.remove("player_character.sav")
    end
end