image = {}

function image_add(picturePath,id)
	table.insert(image,{picturePath = picturePath,id = id,picture = "",checked = false})
	for i,v in ipairs(image) do
		if v.checked == false then
			v.picture = love.graphics.newImage(tostring(v.picturePath))
			v.checked = true
		end
	end
end

function image_database()
	image_add("assets/images/scenery/cottage.png","cottage")
	image_add("assets/images/scenery/road.png","road")
	image_add("assets/images/scenery/road_destroyed.png","road2")
	image_add("assets/images/scenery/road_destroyed_2.png","road3")
	image_add("assets/images/scenery/poster.png","poster")
	image_add("assets/images/scenery/sign.png","sign")
	image_add("assets/images/scenery/building_snowy.png","building_snowy")
	image_add("assets/images/scenery/building_destroyed_snowy.png","building_destroyed_snowy")
	image_add("assets/images/scenery/apartments.png","highrise")
	
	image_add("assets/images/scenery/pipe.png","pipe")
	
	image_add("assets/images/scenery/shop.png","shop")
	
	image_add("assets/images/scenery/garage.png","garage1")
	image_add("assets/images/scenery/garage_grafitti.png","garage2")
	
	image_add("assets/images/scenery/kremlin.png","kremlin")
	
	image_add("assets/images/scenery/car.png","car1")
	image_add("assets/images/scenery/car_red.png","car2")
	image_add("assets/images/scenery/car_yellow.png","car3")
	
	image_add("assets/images/usables/airraidalarm.png","alarm")
	
	image_add("assets/images/scenery/militarytruck.png","truck")
	
	image_add("assets/images/scenery/background.png","background")
	image_add("assets/images/scenery/background2.png","background2")
	image_add("assets/images/scenery/background3.png","background3")
	image_add("assets/images/scenery/background4.png","background4")
	image_add("assets/images/scenery/background5.png","background5")
	image_add("assets/images/scenery/background6.png","background6")
	
	image_add("assets/images/scenery/sign_mockba.png","sign_mockba")
	image_add("assets/images/scenery/sign_vorsha.png","sign_vorsha")
	
	image_add("assets/images/scenery/concrete.png","concrete")
	
	image_add("assets/images/scenery/leninmausoleum.png","mausoleum")
	
	image_add("assets/images/scenery/rail.png","rail")
	image_add("assets/images/scenery/locomotive.png","locomotive")
	image_add("assets/images/scenery/wagon1.png","wagon1")
	image_add("assets/images/scenery/bus.png","bus")
end