require("code.intro.libs.chrono")
flux = require ("code.intro.libs.flux")
chrono = Chrono()
require("code.intro.general")
require("code.intro.logo")


function intro_load()
	LOAD_GENERAL()
	LOAD_LOGO()
end

local timer = 0

function intro_update(dt)
	flux.update(dt)
	chrono:update(dt)
	UPDATE_GENERAL(dt)
	UPDATE_LOGO(dt)
	timer = timer + 100*dt
	if timer > 650 then
		gamestate = "menu"
	end
	if timer > 200 and
	love.mouse.isDown("l") then
		gamestate = "menu"
	end
end


function intro_draw()
	DRAW_GENERAL()
	DRAW_LOGO()
end