
GameLoaded = false
local loadingStage = 1

function load_textures_stage()
	if loadingStage == 1 then
		load_textures()
		loadingStage = 2
	end
end

function load_soundfiles_stage()
	if loadingStage == 2 then
		load_soundfiles()
		loadingStage = 3
	end
end

function load_misc_stage()
	if loadingStage == 3 then
		load_misc()
		loadingStage = 0
	end
end

function loading_main()
	load_textures_stage()
	load_soundfiles_stage()
	load_misc_stage()
	if loadingStage == 0 then
		GameLoaded = true
		gamestate = "menu"
	end
end

local positionTextX = 640
local positionTextY = 460

function loading_bar()
	if loadingStage == 1 then
		love.graphics.print("Loading Graphics",positionTextX,positionTextY,0,1,1,font:getWidth("Loading Graphics")/2,font:getHeight("Loading Graphics")/2)
	elseif loadingStage == 2 then
		love.graphics.print("Loading Sounds",positionTextX,positionTextY,0,1,1,font:getWidth("Loading Sounds")/2,font:getHeight("Loading Sounds")/2)
	elseif loadingStage == 3 then
		love.graphics.print("Loading Functions",positionTextX,positionTextY,0,1,1,font:getWidth("Loading Functions")/2,font:getHeight("Loading Functions")/2)
	elseif loadingStage == 0 then
		love.graphics.print("Loading Done!",positionTextX,positionTextY,0,1,1,font:getWidth("Loading Done!")/2,font:getHeight("Loading Done!")/2)
	end
end