--These are not missiles but rockets I misspelled, derp

missiles = {}

local math_cos = math.cos
local math_sin = math.sin
local math_rad = math.rad

function missiles_spawn(picture, angle, x, y,pointoffall, usepointoffall, speed, damage, owner)
	local j = {
		picture = picture,
		angle = angle,
		x = x,
		y = y,
		pointoffall = pointoffall,
		speed = speed,
		damage = damage,
		owner = owner,
		forward_x = 0,
		forward_y = 0,
		dx = 0,
		dy = 0,
		distance = 0,
		usepointoffall = usepointoffall,
		spawnHeight = y,
	}
	
    table.insert(missiles, j)

end

function missiles_move(dt)
    for i,v in ipairs(missiles) do
	
		v.forward_x = math_cos(v.angle)
		v.forward_y = math_sin(v.angle)
	
        v.dx = 0
		v.dy = 0
		
		v.distance = v.distance + v.speed*dt
		
		--[[if v.usepointoffall then
			if v.distance < v.pointoffall then
					v.angle = v.angle - math_rad(2)*dt
				else
					v.angle = v.angle + math_rad(10)*dt
			end
			if v.y > v.spawnHeight then
				table.remove(missiles,i)
			end
		end]]--
		
		
		v.dx = v.dx + (v.forward_x * v.speed*dt)
        v.dy = v.dy + (v.forward_y * v.speed*dt)
		
		v.x = v.x + v.dx
        v.y = v.y + v.dy
		
		if v.x < cameraX - cameraWidth or v.x > cameraX + cameraWidth*3 or v.y < cameraY - cameraHeight or v.y > cameraY + cameraWidth*3 then
			table.remove(missiles,i)
			explosion_spawn(explosion_spritesheet,v.x,v.y,0.03,10,128,128)
		end
   end
end

function missiles_draw()
    for i,v in ipairs(missiles) do
	    if v.x > cameraX - v.picture:getWidth() and
		v.x < cameraX + v.picture:getWidth()/2 + cameraWidth and
		v.y > cameraY - v.picture:getHeight() and
		v.y < cameraY + v.picture:getHeight()/2 + cameraHeight then
			love.graphics.draw(v.picture, v.x, v.y, v.angle, 1, 1, v.picture:getWidth() / 2, v.picture:getHeight() / 2)
		end
	end
end

function missiles_reset()
	missiles = {}
end
