
local shopObject = {}

local function shopObject_add(picture,buttontype,x,y,price,weaponId)
	table.insert(shopObject,{picture = picture,buttontype = buttontype,x = x,y = y,price = price,weaponId = weaponId,over = false})
end

local shopObject_loadoutButton = {}

local function shopObject_loadoutButton_add(bcontainment,x,y,bId)
	table.insert(shopObject_loadoutButton,{bcontainment = bcontainment,x = x,y = y,bId = bId,selected = false})
end

shop = false

local loadoutSlotSelected = 1

function shop_load()
	
end

local function shop_load_weaponslot()
	for i,v in ipairs(weaponSlot) do
		shopObject_loadoutButton_add(v.containment,905,-105 + i*152,v.id)
	end
end

function shop_load_items()
	for i,v in ipairs(weapon) do
		shopObject_add(buybutton,"weapon",855,i*33,v.value,v.name)
	end
	shop_load_weaponslot()
	shopObject_add(ammobutton,"ammo",1155,15,200,"")
	shopObject_add(rocketbutton,"rocket",1155,125,4000,"")
end

function shop_draw()
	if shop == true then
		love.graphics.setColor(0,0,0,120)
		love.graphics.rectangle("fill",0,0,cameraWidth,cameraHeight)
		love.graphics.setColor(255,255,255,255)
		love.graphics.print("loadout: ",905,5)
		love.graphics.print("Money: " .. tostring(player.money),5,13)
		love.graphics.print("Price 200",1153,80)
		love.graphics.print("Price 4000",1149,190)
		for i,v in ipairs(weapon) do
			love.graphics.draw(v.picture,5,i*33)
			love.graphics.print("Name: " .. tostring(v.name),105,i*33)
			love.graphics.print("Type: " .. tostring(v.wtype),255,i*33)
			love.graphics.print("Damage: " .. tostring(v.damage),455,i*33)
			love.graphics.print("Price: " .. tostring(v.value),655,i*33)
		end
		for i,v in ipairs(shopObject) do
			if v.over == false then
				love.graphics.setColor(255,255,255,255)
				love.graphics.draw(v.picture,v.x,v.y)
			elseif v.over == true then
				love.graphics.setColor(150,150,150,255)
				love.graphics.draw(v.picture,v.x,v.y)
			end
		end
		for i,v in ipairs(shopObject_loadoutButton) do
			if v.selected == false then
				love.graphics.setColor(255,255,255,155)
				love.graphics.rectangle("fill",v.x,v.y,220,150)
			elseif v.selected == true then
				love.graphics.setColor(0,235,0,155)
				love.graphics.rectangle("fill",v.x,v.y,220,150)
			end
			love.graphics.setColor(0,0,0,255)
			love.graphics.print(tostring(v.bcontainment),v.x + 2,v.y + 2)
			for l,w in ipairs(weapon) do
				love.graphics.setColor(255,255,255,255)
				if v.bcontainment == w.name then
					love.graphics.draw(w.picture,v.x + 4,v.y + 25,0,4,4)
				end
			end
		end
	end
end

function shop_update()
	if shop == true then
		for i,v in ipairs(shopObject) do
			if mouseX > scaleWidth * v.x and mouseX < scaleWidth * (v.x + v.picture:getWidth()) and
			mouseY > scaleHeight * v.y and mouseY < scaleHeight * (v.y + v.picture:getHeight()) then
				v.over = true
				else
				v.over = false
			end
		end
		for i,v in ipairs(shopObject_loadoutButton) do
			if v.bId == loadoutSlotSelected then
				v.selected = true
				else
				v.selected = false
			end
			if mouseX > scaleWidth * v.x and mouseX < scaleWidth * (v.x + 200) and
			mouseY > scaleHeight * v.y and mouseY < scaleHeight * (v.y + 200) then
				if love.mouse.isDown(1) then
					loadoutSlotSelected = v.bId
				end
			end
		end
	end
end

function shop_click(button)
	if shop == true then
		for i,v in ipairs(shopObject) do
			if v.over == true then
				if button == 1 then
					if player.money >= v.price then
						player.money = player.money - v.price
						if v.buttontype == "weapon" then
							
							player.weapon = v.weaponId
							for l,w in ipairs(weaponSlot) do
								if w.id == loadoutSlotSelected then
									w.containment = v.weaponId
								end
							end
							shopObject_loadoutButton = {}
							shop_load_weaponslot()
						elseif v.buttontype == "ammo" then
							player.ammo = player.ammo + 200
						elseif v.buttontype == "rocket" then
							player.rockets = player.rockets + 2
						end
					end
				end
			end
		end
	end
end

function shop_key(key)
	if shop == true then
		if key == "escape" then
			player.allowedToMove = true
			closeMenu = true
			shop = false
			activeGUI = true
		end
	end
end