
camera_trigger = {}

function trigger_cameara_spawn(x,y,width,height,moveToX,moveToY,speed,dlocation)
	table.insert(camera_trigger,{x = x,y = y,width = width,height = height,moveToX = moveToX,moveToY = moveToY,speed = speed,dlocation = dlocation,activated = false,used = false})
end

function trigger_list()
	--trigger_cameara_spawn(0,350,128,128,-1600,0,200)
end

local math_sqrt = math.sqrt
local math_ceil = math.ceil

function trigger_update(dt)
	for i,v in ipairs(camera_trigger) do
		if v.dlocation == location then
			if player.x > v.x and
			player.x < v.x + v.width and
			player.y > v.y and
			player.y < v.y + v.height and
			v.used == false then
				v.activated = true
				camera_followPlayer = false
				player.allowedToMove = false
				player.x = math_ceil(player.x)
				player.y = math_ceil(player.y)
			end
			if v.activated == true then
				if v.used == false then
					if cameraX > v.moveToX - 20 and
					cameraX < v.moveToX + 20 and
					cameraY > v.moveToY - 20 and
					cameraY < v.moveToY + 20 then
						camera_followPlayer = true
						player.allowedToMove = true
						if camera_followPlayer == true then
							v.used = true
						end
					else
	  
						local dx = v.moveToX - cameraX
						local dy = v.moveToY - cameraY
		  
						local length = math_sqrt(dx*dx+dy*dy)
						dx = dx/length
						dy = dy/length
		  
						cameraX=cameraX + v.speed*dx*dt
						cameraY=cameraY + v.speed*dy*dt
					end
				end
			end
		end
	end
end

